package ch.pizzalemon.android.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class CampaignBannerModel implements Serializable {

    @Expose
    @SerializedName("title")
    private String title;

    @Expose
    @SerializedName("image")
    private String imageUrl;

    @Expose
    @SerializedName("order")
    private String order;

    @Expose
    @SerializedName("status")
    private boolean active;

    public String getTitle() {
        return title;
    }

    public String getImageUrl() {
        if(imageUrl == null){
            imageUrl = "";
        }
        return imageUrl;
    }

    public String getOrder() {
        if(order == null){
            order = "0";
        }
        return order;
    }

    public boolean isActive() {
        return active;
    }
}
